> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yapcoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get open source issues

> Fetches open, unassigned issues for the specified repositories within a time range.



## OpenAPI

````yaml post /api/v1/projects/issues/opensource
openapi: 3.0.0
info:
  title: YapCoder API
  description: API for YapCoder - Developer Reputation and Analytics Platform
  version: 1.0.0
servers:
  - url: https://api.yapcoder.com
    description: Local development server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: healthchecks
    description: Service health and readiness checks
  - name: developers
    description: Developer management and analytics
  - name: projects
    description: Project analytics and repository details
  - name: sui
    description: Sui ecosystem packages and data
paths:
  /api/v1/projects/issues/opensource:
    post:
      tags:
        - projects
      summary: Get open source issues
      description: >-
        Fetches open, unassigned issues for the specified repositories within a
        time range.
      operationId: GetOpenSourceIssues
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetOpenSourceIssuesRequest'
      responses:
        '200':
          description: List of open source issues
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GithubIssue'
        '400':
          description: Invalid request body
        '500':
          description: Internal server error
components:
  schemas:
    GetOpenSourceIssuesRequest:
      type: object
      required:
        - repo_names
      properties:
        repo_names:
          type: array
          items:
            type: string
        from:
          type: string
          format: date-time
        to:
          type: string
          format: date-time
    GithubIssue:
      type: object
      properties:
        html_url:
          type: string
        title:
          type: string
        body:
          type: string
        number:
          type: integer
        state:
          type: string
        user:
          $ref: '#/components/schemas/GithubUser'
        assignees:
          type: array
          items:
            $ref: '#/components/schemas/GithubUser'
        labels:
          type: array
          items:
            $ref: '#/components/schemas/GithubLabel'
        comments:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        pull_request:
          $ref: '#/components/schemas/GithubPRMarker'
    GithubUser:
      type: object
      properties:
        login:
          type: string
        avatar_url:
          type: string
        html_url:
          type: string
    GithubLabel:
      type: object
      properties:
        name:
          type: string
    GithubPRMarker:
      type: object
      properties:
        url:
          type: string
        html_url:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````